# Barry::HexDumpParser Class Reference

`#include <parser.h>`

Inheritance diagram for Barry::HexDumpParser:

[legend]
Collaboration diagram for Barry::HexDumpParser:

[legend]

List of all members.

## Detailed Description

Dumps raw hex of the given DBData to the given stream.

Do NOT derive your own personal parser classes from this, unless you are perfectly confident that you will catch future API changes on the devel tree without the compiler's help.

Definition at line 135 of file parser.h.

## Public Member Functions

virtual void | ParseRecord (const Barry::DBData &data, const IConverter *ic)
| Called to parse sub fields in the raw data packet.

## Member Function Documentation

void Barry::HexDumpParser::ParseRecord | ( | const Barry::DBData & | data,
|  | const IConverter * | ic |
| ) |  |  | `[virtual]`

Called to parse sub fields in the raw data packet.

Implements Barry::Parser.

Definition at line 53 of file parser.cc.

References Barry::DBData::GetData(), Barry::DBData::GetDBName(), Barry::DBData::GetOffset(), Barry::DBData::GetRecType(), and Barry::DBData::GetUniqueId().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- parser.h
- parser.cc